# azure.mgmt.signalr.operations module

class `azure.mgmt.signalr.operations.``Operations`(client, config, serializer, deserializer)

  Bases: `object`

  Operations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2018-10-01”.

  `list`(custom_headers=None, raw=False, **operation_config)

    Lists all of the available REST API operations of the Microsoft.SignalRService provider.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Operation
    Return type: | OperationPaged[Operation]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.signalr.models' from '/usr/lib/python3/dist-packages/azure/mgmt/signalr/models/__init__.py'>

class `azure.mgmt.signalr.operations.``SignalROperations`(client, config, serializer, deserializer)

  Bases: `object`

  SignalROperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2018-10-01”.

  `check_name_availability`(location, type, name, custom_headers=None, raw=False, **operation_config)

    Checks that the SignalR name is valid and is not already in use.

    Parameters:

    - location (str) – the region
    - type (str) – The resource type. Should be always “Microsoft.SignalRService/SignalR”.
    - name (str) – The SignalR service name to validate. e.g.”my-signalR-name-here”
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | NameAvailability or ClientRawResponse if raw=true
    Return type: | NameAvailability or ClientRawResponse
    Raises: | `CloudError`

  `create_or_update`(resource_group_name, resource_name, parameters=None, custom_headers=None, raw=False, polling=True, **operation_config)

    Create a new SignalR service and update an exiting SignalR service.

    Parameters:

    - resource_group_name (str) – The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.
    - resource_name (str) – The name of the SignalR resource.
    - parameters (SignalRCreateParameters) – Parameters for the create or update operation
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns SignalRResource or ClientRawResponse<SignalRResource> if raw==True
    Return type: | AzureOperationPoller[SignalRResource] or AzureOperationPoller[ClientRawResponse[SignalRResource]]
    Raises: | `CloudError`

  `delete`(resource_group_name, resource_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Operation to delete a SignalR service.

    Parameters:

    - resource_group_name (str) – The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.
    - resource_name (str) – The name of the SignalR resource.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `get`(resource_group_name, resource_name, custom_headers=None, raw=False, **operation_config)

    Get the SignalR service and its properties.

    Parameters:

    - resource_group_name (str) – The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.
    - resource_name (str) – The name of the SignalR resource.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | SignalRResource or ClientRawResponse if raw=true
    Return type: | SignalRResource or ClientRawResponse
    Raises: | `CloudError`

  `list_by_resource_group`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Handles requests to list all resources in a resource group.

    Parameters:

    - resource_group_name (str) – The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of SignalRResource
    Return type: | SignalRResourcePaged[SignalRResource]
    Raises: | `CloudError`

  `list_by_subscription`(custom_headers=None, raw=False, **operation_config)

    Handles requests to list all resources in a subscription.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of SignalRResource
    Return type: | SignalRResourcePaged[SignalRResource]
    Raises: | `CloudError`

  `list_keys`(resource_group_name, resource_name, custom_headers=None, raw=False, **operation_config)

    Get the access keys of the SignalR resource.

    Parameters:

    - resource_group_name (str) – The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.
    - resource_name (str) – The name of the SignalR resource.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | SignalRKeys or ClientRawResponse if raw=true
    Return type: | SignalRKeys or ClientRawResponse
    Raises: | `CloudError`

  `regenerate_key`(resource_group_name, resource_name, key_type=None, custom_headers=None, raw=False, polling=True, **operation_config)

    Regenerate SignalR service access key. PrimaryKey and SecondaryKey cannot be regenerated at the same time.

    Parameters:

    - resource_group_name (str) – The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.
    - resource_name (str) – The name of the SignalR resource.
    - key_type (str or KeyType) – The keyType to regenerate. Must be either ‘primary’ or ‘secondary’(case-insensitive). Possible values include: ‘Primary’, ‘Secondary’
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns SignalRKeys or ClientRawResponse<SignalRKeys> if raw==True
    Return type: | AzureOperationPoller[SignalRKeys] or AzureOperationPoller[ClientRawResponse[SignalRKeys]]
    Raises: | `CloudError`

  `restart`(resource_group_name, resource_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Operation to restart a SignalR service.

    Parameters:

    - resource_group_name (str) – The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.
    - resource_name (str) – The name of the SignalR resource.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `update`(resource_group_name, resource_name, parameters=None, custom_headers=None, raw=False, polling=True, **operation_config)

    Operation to update an exiting SignalR service.

    Parameters:

    - resource_group_name (str) – The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.
    - resource_name (str) – The name of the SignalR resource.
    - parameters (SignalRUpdateParameters) – Parameters for the update operation
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns SignalRResource or ClientRawResponse<SignalRResource> if raw==True
    Return type: | AzureOperationPoller[SignalRResource] or AzureOperationPoller[ClientRawResponse[SignalRResource]]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.signalr.models' from '/usr/lib/python3/dist-packages/azure/mgmt/signalr/models/__init__.py'>

class `azure.mgmt.signalr.operations.``UsagesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  UsagesOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2018-10-01”.

  `list`(location, custom_headers=None, raw=False, **operation_config)

    List usage quotas for Azure SignalR service by location.

    Parameters:

    - location (str) – the location like “eastus”
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of SignalRUsage
    Return type: | SignalRUsagePaged[SignalRUsage]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.signalr.models' from '/usr/lib/python3/dist-packages/azure/mgmt/signalr/models/__init__.py'>